<%@ page contentType="text/html;charset=GB2312" %>
<%@ page import="java.sql.*" %>
<HTML>
<BODY  bgcolor=pink ><Font size=4>
<P>成绩输入人员登录
<FORM action="login.jsp" Method="post">
	<BR>输入帐号：
	<BR><Input type=text name="account">
	<BR>输入密码：
	<BR><Input type=password name="secret">
	<BR><Input type=submit name="g" value="提交">
</FORM>
<%  //获取提交的帐号：
    String account=request.getParameter("account");
    if(account==null){account="";}
    byte b[]=account.getBytes("ISO-8859-1");
    account=new String(b);
    //获取提交的密码：
    String secret=request.getParameter("secret");
    if(secret==null){secret="";}
    byte c[]=secret.getBytes("ISO-8859-1");
    secret=new String(c);
    //查询数据库信息，验证身份：
    Connection con=null;
    Statement sql=null;
    ResultSet rs=null;
    try{
	Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        } 
    catch(ClassNotFoundException event){}
    try{
      	con=DriverManager.getConnection("jdbc:odbc:manage","","");
       	sql=con.createStatement();
       	String condition="SELECT * FROM verify WHERE 帐号 = "+"'"+account+"'";
       	rs =sql.executeQuery(condition);
       	while(rs.next())
        { 
		String n=rs.getString("帐号");
              	String s=rs.getString("密码");
              	if(account.equals(n)&&secret.equals(s))
                { //将帐号和密码存入session对象，以备在输入界面：inputMessage.jsp中使用：
                   session.setAttribute("account",account);
                   session.setAttribute("secret",secret);
                 //为了防止客户浏览器限制了Cooker的使用，需对连接进行重定向处理：
                 String s1=response.encodeRedirectURL("inputMessage.jsp");
                 String s2=response.encodeRedirectURL("inputResult.jsp");
                 //连接到基本信息输入页面：
                 response.sendRedirect(s1);
                }
          }
       	if(!(session.isNew()))
           { out.print("<BR>您输入的帐号或密码不正确"+account+":"+secret);
           }
      }
    catch(SQLException e1) {}
%>
<BR><A HREF="main.jsp">返回主页</A>
</FONT> 
</BODY>
</HTML>
